************************************************************************
* program read_JIVSM_layer.f
*                                                09/21/2011 Hiroe Miyake
************************************************************************

      real*8 alon,alat
      real*8 d01,d02,d03,d04,d05,d06,d07,d08,d09,d10
      real*8 d11,d12,d13,d14,d15,d16,d17,d18,d19,d20
      real*8 d21,d22,d23
*
      open(21,file='./Wjapan_path20111110.dat',status='old')
      open(31,file='./W_depth_JIVSM20111110.str',status='unknown')
      open(32,file='./W_layer_JIVSM20111110.str',status='unknown')

*---  read original file

   10 read(21,*,end=9999) 
     -alon,alat,
     -d01,d02,d03,d04,d05,d06,d07,d08,d09,d10,
     -d11,d12,d13,d14,d15,d16,d17,d18,d19,d20,
     -d21,d22,d23

*---  check inverted layers

      if(d01.lt.d02) write(6,*) alon,alat,d01,d02,' d01'
      if(d02.lt.d03) write(6,*) alon,alat,d02,d03,' d02'
      if(d03.lt.d04) write(6,*) alon,alat,d03,d04,' d03'
      if(d04.lt.d05) write(6,*) alon,alat,d04,d05,' d04'
      if(d05.lt.d06) write(6,*) alon,alat,d05,d06,' d05'
      if(d06.lt.d07) write(6,*) alon,alat,d06,d07,' d06'
      if(d07.lt.d08) write(6,*) alon,alat,d07,d08,' d07'
      if(d08.lt.d09) write(6,*) alon,alat,d08,d09,' d08'
      if(d09.lt.d10) write(6,*) alon,alat,d09,d10,' d09'
      if(d10.lt.d11) write(6,*) alon,alat,d10,d11,' d10'
      if(d11.lt.d12) write(6,*) alon,alat,d11,d12,' d11'
      if(d12.lt.d13) write(6,*) alon,alat,d12,d13,' d12'
      if(d13.lt.d14) write(6,*) alon,alat,d13,d14,' d13'
      if(d14.lt.d15) write(6,*) alon,alat,d14,d15,' d14'
      if(d15.lt.d16) write(6,*) alon,alat,d15,d16,' d15'
      if(d16.lt.d17) write(6,*) alon,alat,d16,d17,' d16'
      if(d17.lt.d18) write(6,*) alon,alat,d17,d18,' d17'
      if(d18.lt.d19) write(6,*) alon,alat,d18,d19,' d18'
      if(d19.lt.d20) write(6,*) alon,alat,d19,d20,' d19'
      if(d20.lt.d21) write(6,*) alon,alat,d20,d21,' d20'
      if(d21.lt.d22) write(6,*) alon,alat,d21,d22,' d21'
      if(d22.lt.d23) write(6,*) alon,alat,d22,d23,' d22'

*---  write depth file

      write(31,'(2f10.6,23f17.5)') 
     -alon,alat,
     -d01,d02,d03,d04,d05,d06,d07,d08,d09,d10,
     -d11,d12,d13,d14,d15,d16,d17,d18,d19,d20,
     -d21,d22,d23

*---  check thickness of sediment and d15 depth

c     if((d14-d01).lt.d15) write(6,*) alon,alat,d14-d01,d15
      if((d14-d01).lt.d15) d15=d14-d01

*---  check new d15 depth

      if(d15.lt.d16) write(6,*) alon,alat,d15,d16

*---  write layer file

      write(32,'(2f10.6,23f17.5)') 
     -alon,alat,
     -d01-d01,d02-d01,d03-d01,d04-d01,d05-d01,d06-d01,d07-d01,
     -d08-d01,d09-d01,d10-d01,d11-d01,d12-d01,d13-d01,d14-d01,
     -d15,d16,d17,d18,d19,d20,d21,d22,d23

      go to 10
*
 9999 stop

      close(32)
      close(31)
      close(21)

      end

        
